package com.jeeplus.modules.filing.constructionStage.entity;

import com.google.common.collect.Lists;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.List;

public class ProjectSchedule extends DataEntity<ProjectSchedule> {
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 单体编码
     */
    private String monomerCode;

    /**
     * 项目名称
     */
    private String entryName;

    /**
     * 例会报告
     * */
    private String enclosure;
    /**
     * 土建
     * */
    private String scheduleCivil;
    /**
     * 电气
     * */
    private String scheduleElectrical;
    /**
     * 调试
     * */
    private String scheduleDebugging;
    /**
     * 验收
     * */
    private String scheduleCheck;
    /**
     * 累计定性描述
     * */
    private String scheduleCumulative;
    /**
     * 启委会文
     * */
    private String openingCommittee;
    /**
     * 调度命名编号
     * */
    private String dispatchingNaming;

    /**
     * 子类数据集合
     * */
    private List<ConstructionStage> childList = Lists.newArrayList();

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    public String getEnclosure() {
        return enclosure;
    }

    public void setEnclosure(String enclosure) {
        this.enclosure = enclosure;
    }

    public String getScheduleCivil() {
        return scheduleCivil;
    }

    public void setScheduleCivil(String scheduleCivil) {
        this.scheduleCivil = scheduleCivil;
    }

    public String getScheduleElectrical() {
        return scheduleElectrical;
    }

    public void setScheduleElectrical(String scheduleElectrical) {
        this.scheduleElectrical = scheduleElectrical;
    }

    public String getScheduleDebugging() {
        return scheduleDebugging;
    }

    public void setScheduleDebugging(String scheduleDebugging) {
        this.scheduleDebugging = scheduleDebugging;
    }

    public String getScheduleCheck() {
        return scheduleCheck;
    }

    public void setScheduleCheck(String scheduleCheck) {
        this.scheduleCheck = scheduleCheck;
    }

    public String getScheduleCumulative() {
        return scheduleCumulative;
    }

    public void setScheduleCumulative(String scheduleCumulative) {
        this.scheduleCumulative = scheduleCumulative;
    }

    public String getOpeningCommittee() {
        return openingCommittee;
    }

    public void setOpeningCommittee(String openingCommittee) {
        this.openingCommittee = openingCommittee;
    }

    @ExcelField(title="调度命名编号", align=2, sort=4)
    public String getDispatchingNaming() {
        return dispatchingNaming;
    }

    public void setDispatchingNaming(String dispatchingNaming) {
        this.dispatchingNaming = dispatchingNaming;
    }
}
